#include "mbed.h"
#include "LSM9DS1.h"


Serial pc(USBTX,USBRX);
LSM9DS1 imu(p28,p27);

int main(){
    imu.begin();
    while(1){
        imu.readAccel();
        imu.readGyro();
        imu.readMag();
        pc.printf("Accelerometer: x = %8f, y = %8f, z = %8f\n\r",imu.ax,imu.ay, imu.az);
        pc.printf("Gyro:          x = %f, y = %f, z = %f\n\r",imu.gx,imu.gy, imu.gz);
        pc.printf("Magnetometer:  x = %f, y = %f, z = %f\n\n\n\r",imu.mx,imu.my, imu.mz);
        wait(1);
    }
}